org.keycloak.component

## Class ComponentModel

- java.lang.Object
- - org.keycloak.component.ComponentModel

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UserStorageProviderModel

      public class ComponentModel
      extends Object
      implements Serializable

  Stored configuration of a User Storage provider instance.
  Author:
    Marek Posolda, Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentModel()`
    `ComponentModel(ComponentModel copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedHashMap<String,String>` | `getConfig()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getProviderId()`
    `String` | `getProviderType()`
    `void` | `setConfig(MultivaluedHashMap<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setProviderId(String providerId)`
    `void` | `setProviderType(String providerType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentModel

          public ComponentModel()

    - #### ComponentModel

          public ComponentModel(ComponentModel copy)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getConfig

          public MultivaluedHashMap<String,String> getConfig()

    - #### setConfig

          public void setConfig(MultivaluedHashMap<String,String> config)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getProviderType

          public String getProviderType()

    - #### setProviderType

          public void setProviderType(String providerType)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

Copyright © 2016 JBoss by Red Hat. All rights reserved.